Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.domain
Class LTF_Parser.WorldStateConstraintParser

    java.lang.Object
      ix.util.match.MatchCase
          ix.iface.domain.LTF_Parser.ConstraintParser
              ix.iface.domain.LTF_Parser.WorldStateConstraintParser

Direct Known Subclasses:
  LTF_Parser.ConditionParser, LTF_Parser.EffectParser

Enclosing class:
  LTF_Parser

    abstract class LTF_Parser.WorldStateConstraintParser

extends LTF_Parser.ConstraintParser

Field Summary
`(package private) Symbol` | `CONDITION`
`(package private) Symbol` | `EFFECT`
`(package private) Symbol` | `generalSubtype`
`(package private) Symbol` | `syntaxSubtype`
`(package private) Symbol` | `WORLD_STATE`

Fields inherited from class ix.util.match.MatchCase
`pattern`

Constructor Summary
`LTF_Parser.WorldStateConstraintParser(java.lang.String syntaxSubtype)`

Method Summary
`(package private) boolean` | `annotateConditionType(Constraint c)`
`Constraint` | `makeConstraint(LList spec, MatchEnv env)` Construct a constraint based on the spec and any bindings in the MatchEnv.
`Constraint` | `makeTemplate()` Returns a constraint that represents the syntax of the constraints handled by this constraint-parser.

Methods inherited from class ix.iface.domain.LTF_Parser.ConstraintParser
`ifSelected, tryMatch`

Methods inherited from class ix.util.match.MatchCase
`getPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WORLD_STATE

    final Symbol WORLD_STATE

### CONDITION

    final Symbol CONDITION

### EFFECT

    final Symbol EFFECT

### generalSubtype

    Symbol generalSubtype

### syntaxSubtype

    Symbol syntaxSubtype

Constructor Detail

### LTF_Parser.WorldStateConstraintParser

    LTF_Parser.WorldStateConstraintParser(java.lang.String syntaxSubtype)

Method Detail

### makeConstraint

    public Constraint makeConstraint(LList spec,
                                     MatchEnv env)

  Description copied from class: `LTF_Parser.ConstraintParser`
  Construct a constraint based on the spec and any bindings in the MatchEnv. The env was produced by calling this constraint-parser's tryMatch method. The spec came from the LTF source.

  Specified by:
    `makeConstraint` in class `LTF_Parser.ConstraintParser`

### annotateConditionType

    boolean annotateConditionType(Constraint c)

### makeTemplate

    public Constraint makeTemplate()

  Description copied from class: `LTF_Parser.ConstraintParser`
  Returns a constraint that represents the syntax of the constraints handled by this constraint-parser.

  Specified by:
    `makeTemplate` in class `LTF_Parser.ConstraintParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD